Bug 782622

Summary: Review Request: python-xattr - Python wrapper for extended file-system attributes
Product: [Fedora] Fedora Reporter: Russell Bryant <rbryant>
Component: Package ReviewAssignee: Steven Dake <sdake>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-25 16:00:45 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 732692    

Description Russell Bryant 2012-01-17 18:23:46 EST
Spec URL: http://fedorapeople.org/~russellb/python-xattr/python-xattr.spec

SRPM URL: http://fedorapeople.org/~russellb/python-xattr/python-xattr-0.6.2-1.fc16.src.rpm

Description: This package provides a Python wrapper for extended file-system attributes. Extended attributes extend the basic attributes of files and directories in the file system. They are stored as name:data pairs associated with file system objects (files, directories, slinks, etc).
Comment 1 Steven Dake 2012-01-19 14:37:05 EST
spec file looks good.
Comment 2 Steven Dake 2012-01-19 18:29:11 EST
[FAIL] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1] 

[root@beast x86_64]# rpmlint python-xattr-0.6.2-1.fc16.x86_64.rpm
python-xattr.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/xattr/_xattr.so _xattr.so()(64bit)
python-xattr.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/xattr/tool.py 0644L /usr/bin/env
python-xattr.x86_64: W: no-manual-page-for-binary xattr

please use private shared object filtering.  See:

recommend tool.py have execute bit set as required by MUST guidelines

please file a distribution bug to provide a man page for xattr.  If xattr isn't a binary, correct the permissions.

[root@beast SRPMS]# rpmlint python-xattr-0.6.2-1.fc16.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

src.rpm PASSES

[root@beast x86_64]# rpmlint python-xattr-debuginfo-0.6.2-1.fc16.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

debuginfo PASSES.

recommend pinging upstream to include a license file for xattr

[PASS] MUST: The package must be named according to the Package Naming Guidelines .
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 

[PASS] MUST: The package must meet the Packaging Guidelines .
PASS] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

MIT license
[PASS] MUST: The License field in the package spec file must match the actual license. [3]

sources livened as MIT

[PASS] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

license.txt included in spec

[PASS] MUST: The spec file must be written in American English. [5]

[PASS] MUST: The spec file for the package MUST be legible. [6]

[PASS] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

[root@beast SOURCES]# sha256sum xattr-0.6.2.tar.gz
b97d0ba4b3e537ba754dff9483f6b42640663f9c6c18f9380f13fa490916af40  xattr-0.6.2.tar.gz

[root@beast tmp]# wget  http://pypi.python.org/packages/source/x/xattr/xattr-0.6.2.tar.gz
[root@beast tmp]# sha256sum xattr-0.6.2.tar.gz
b97d0ba4b3e537ba754dff9483f6b42640663f9c6c18f9380f13fa490916af40  xattr-0.6.2.tar.gz

[PASS] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

[N/A] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

[PASS] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[N/A] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

[N/A] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]

shared object is not in shared path

[PASS] MUST: Packages must NOT bundle copies of system libraries.[11]

[N/A] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]

[PASS] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

[PASS] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]

[FAIL] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]

see rpmlint

[PASS] MUST: Each package must consistently use macros. [16]

[PASS] MUST: The package must contain code, or permissable content. [17]

[N/A] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]

[PASS] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]

[N/A] MUST: Header files must be in a -devel package. [19]

[N/A] MUST: Static libraries must be in a -static package. [20]

[N/A] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]

[N/A] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]

[N/A] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]

[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]

[PASS] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]

[PASS] MUST: All filenames in rpm packages must be valid UTF-8. [24]
Comment 3 Steven Dake 2012-01-19 18:29:43 EST
BLOCKERS exist in rpmlint section.  please address these and I'll execute the should requirements.
Comment 4 Russell Bryant 2012-01-25 16:00:45 EST
I'm going to defer this for now.  This was needed for openstack-glance, but I ended up patching glance to be compatible with the version of pyxattr in Fedora already.  It may be good to include this newer version at some point, but there is no longer an immediate driver for it.
Comment 5 Steven Dake 2012-06-11 10:16:44 EDT
removing fedora review flag since this was deferred.